org.firebirdsql.gds.ng

## Class FbImmutableConnectionProperties

- java.lang.Object
- - org.firebirdsql.gds.ng.AbstractImmutableAttachProperties<IConnectionProperties>
  - - org.firebirdsql.gds.ng.FbImmutableConnectionProperties

- All Implemented Interfaces:
    IAttachProperties<IConnectionProperties>, IConnectionProperties, AttachmentProperties, BaseProperties, DatabaseConnectionProperties

      public final class FbImmutableConnectionProperties
      extends AbstractImmutableAttachProperties<IConnectionProperties>
      implements IConnectionProperties

  Immutable implementation of `IConnectionProperties`.
  Since:
    3.0
  Author:
    @author Mark Rotteveel
  See Also:
    `FbConnectionProperties`

- - ### Field Summary

    - ### Fields inherited from interface org.firebirdsql.gds.ng.IConnectionProperties

      `DEFAULT_BUFFERS_NUMBER, DEFAULT_DIALECT, SESSION_TIME_ZONE_SERVER`

    - ### Fields inherited from interface org.firebirdsql.gds.ng.IAttachProperties

      `DEFAULT_CONNECT_TIMEOUT, DEFAULT_SO_TIMEOUT, DEFAULT_SOCKET_BUFFER_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FbImmutableConnectionProperties(IConnectionProperties src)` Copy constructor for FbConnectionProperties.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IConnectionProperties` | `asImmutable()`
    `IConnectionProperties` | `asNewMutable()`
    `boolean` | `equals(java.lang.Object o)`

    - ### Methods inherited from class org.firebirdsql.gds.ng.AbstractImmutableAttachProperties

      `connectionPropertyValues, getBooleanProperty, getIntProperty, getProperty, hashCode, immutable, isImmutable, property, setBooleanProperty, setIntProperty, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.firebirdsql.gds.ng.IConnectionProperties

      `getConnectionDialect, setConnectionDialect`

    - ### Methods inherited from interface org.firebirdsql.gds.ng.IAttachProperties

      `getAttachObjectName, getWireCryptAsEnum, isImmutable, setAttachObjectName, setWireCryptAsEnum`

    - ### Methods inherited from interface org.firebirdsql.jaybird.props.DatabaseConnectionProperties

      `getBlobBufferSize, getDatabaseName, getDataTypeBind, getDecfloatRound, getDecfloatTraps, getDefaultIsolation, getDefaultTransactionIsolation, getGeneratedKeysEnabled, getPageCacheSize, getScrollableCursor, getServerBatchBufferSize, getSessionTimeZone, getSqlDialect, getTpbMapping, isColumnLabelForName, isDefaultResultSetHoldable, isExtendedMetadata, isIgnoreProcedureType, isTimestampUsesLocalTimezone, isUseFirebirdAutocommit, isUseServerBatch, isUseStreamBlobs, setBlobBufferSize, setColumnLabelForName, setDatabaseName, setDataTypeBind, setDecfloatRound, setDecfloatTraps, setDefaultIsolation, setDefaultResultSetHoldable, setDefaultTransactionIsolation, setExtendedMetadata, setGeneratedKeysEnabled, setIgnoreProcedureType, setPageCacheSize, setScrollableCursor, setServerBatchBufferSize, setSessionTimeZone, setSqlDialect, setTimestampUsesLocalTimezone, setTpbMapping, setUseFirebirdAutocommit, setUseServerBatch, setUseStreamBlobs`

    - ### Methods inherited from interface org.firebirdsql.jaybird.props.AttachmentProperties

      `getAuthPlugins, getCharSet, getConnectTimeout, getDbCryptConfig, getEncoding, getParallelWorkers, getPassword, getPortNumber, getProcessId, getProcessName, getRoleName, getServerName, getSocketBufferSize, getSoTimeout, getType, getUser, getWireCrypt, isWireCompression, setAuthPlugins, setCharSet, setConnectTimeout, setDbCryptConfig, setEncoding, setParallelWorkers, setPassword, setPortNumber, setProcessId, setProcessName, setRoleName, setServerName, setSocketBufferSize, setSoTimeout, setType, setUser, setWireCompression, setWireCrypt`

    - ### Methods inherited from interface org.firebirdsql.jaybird.props.BaseProperties

      `connectionPropertyValues, getBooleanProperty, getBooleanProperty, getIntProperty, getIntProperty, getProperty, getProperty, setBooleanProperty, setIntProperty, setProperty`

- - ### Constructor Detail

    - #### FbImmutableConnectionProperties

          public FbImmutableConnectionProperties(IConnectionProperties src)

      Copy constructor for FbConnectionProperties.

      All properties defined in `IConnectionProperties` are copied from `src` to the new instance.

      Parameters:
        `src` - Source to copy from

  - ### Method Detail

    - #### asImmutable

          public IConnectionProperties asImmutable()

      Specified by:
        `asImmutable` in interface `IAttachProperties<IConnectionProperties>`
      Specified by:
        `asImmutable` in interface `IConnectionProperties`
      Returns:
        An immutable version of this instance as an implementation of `IConnectionProperties`

    - #### asNewMutable

          public IConnectionProperties asNewMutable()

      Specified by:
        `asNewMutable` in interface `IAttachProperties<IConnectionProperties>`
      Specified by:
        `asNewMutable` in interface `IConnectionProperties`
      Returns:
        A new, mutable, instance as an implementation of `IConnectionProperties` with all properties copied.

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `AbstractImmutableAttachProperties<IConnectionProperties>`

Copyright © 2001-2025 Jaybird (Firebird JDBC) team. All rights reserved.